CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-2390

An unprivileged user or program on Microsoft Windows which can create OpenSSL configuration files in a fixed location may cause utility programs shipped with MongoDB server versions less than 4.0.11, 3.6.14, and 3.4.22 to run attacker defined code as the user running the utility.
Publish Date : 2019-08-30 Last Update Date : 2019-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 264

- Products Affected By CVE-2019-2390

# Product Type Vendor Product Version Update Edition Language
1 Application Mongodb Mongodb 3.4.0 Version Details Vulnerabilities
2 Application Mongodb Mongodb 3.4.1 Version Details Vulnerabilities
3 Application Mongodb Mongodb 3.4.2 Version Details Vulnerabilities
4 Application Mongodb Mongodb 3.4.3 Version Details Vulnerabilities
5 Application Mongodb Mongodb 3.4.4 Version Details Vulnerabilities
6 Application Mongodb Mongodb 3.4.5 Version Details Vulnerabilities
7 Application Mongodb Mongodb 3.4.6 Version Details Vulnerabilities
8 Application Mongodb Mongodb 3.4.7 Version Details Vulnerabilities
9 Application Mongodb Mongodb 3.4.9 Version Details Vulnerabilities
10 Application Mongodb Mongodb 3.4.10 Version Details Vulnerabilities
11 Application Mongodb Mongodb 3.4.11 Version Details Vulnerabilities
12 Application Mongodb Mongodb 3.4.12 Version Details Vulnerabilities
13 Application Mongodb Mongodb 3.4.13 Version Details Vulnerabilities
14 Application Mongodb Mongodb 3.4.14 Version Details Vulnerabilities
15 Application Mongodb Mongodb 3.4.15 Version Details Vulnerabilities
16 Application Mongodb Mongodb 3.4.16 Version Details Vulnerabilities
17 Application Mongodb Mongodb 3.4.17 Version Details Vulnerabilities
18 Application Mongodb Mongodb 3.4.18 Version Details Vulnerabilities
19 Application Mongodb Mongodb 3.4.19 Version Details Vulnerabilities
20 Application Mongodb Mongodb 3.4.20 Version Details Vulnerabilities
21 Application Mongodb Mongodb 3.4.21 Version Details Vulnerabilities
22 Application Mongodb Mongodb 3.6.0 Version Details Vulnerabilities
23 Application Mongodb Mongodb 3.6.1 Version Details Vulnerabilities
24 Application Mongodb Mongodb 3.6.2 Version Details Vulnerabilities
25 Application Mongodb Mongodb 3.6.3 Version Details Vulnerabilities
26 Application Mongodb Mongodb 3.6.4 Version Details Vulnerabilities
27 Application Mongodb Mongodb 3.6.5 Version Details Vulnerabilities
28 Application Mongodb Mongodb 3.6.6 Version Details Vulnerabilities
29 Application Mongodb Mongodb 3.6.7 Version Details Vulnerabilities
30 Application Mongodb Mongodb 3.6.8 Version Details Vulnerabilities
31 Application Mongodb Mongodb 3.6.9 Version Details Vulnerabilities
32 Application Mongodb Mongodb 3.6.10 Version Details Vulnerabilities
33 Application Mongodb Mongodb 3.6.11 Version Details Vulnerabilities
34 Application Mongodb Mongodb 3.6.12 Version Details Vulnerabilities
35 Application Mongodb Mongodb 3.6.13 Version Details Vulnerabilities
36 Application Mongodb Mongodb 4.0.0 Version Details Vulnerabilities
37 Application Mongodb Mongodb 4.0.1 Version Details Vulnerabilities
38 Application Mongodb Mongodb 4.0.2 Version Details Vulnerabilities
39 Application Mongodb Mongodb 4.0.3 Version Details Vulnerabilities
40 Application Mongodb Mongodb 4.0.4 Version Details Vulnerabilities
41 Application Mongodb Mongodb 4.0.5 Version Details Vulnerabilities
42 Application Mongodb Mongodb 4.0.6 Version Details Vulnerabilities
43 Application Mongodb Mongodb 4.0.7 Version Details Vulnerabilities
44 Application Mongodb Mongodb 4.0.8 Version Details Vulnerabilities
45 Application Mongodb Mongodb 4.0.9 Version Details Vulnerabilities
46 Application Mongodb Mongodb 4.0.10 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Mongodb Mongodb 46

- References For CVE-2019-2390

https://jira.mongodb.org/browse/SERVER-42233 CONFIRM

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2019-2390

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.